Index: moodle/mod/survey/lib.php
--- moodle/mod/survey/lib.php Base (1.90)
+++ moodle/mod/survey/lib.php Locally Modified (Based On 1.90)
@@ -528,7 +528,7 @@
     $strresponses  = get_string('responses', 'survey');
 
     echo $OUTPUT->heading($question->text, 3, 'questiontext');
-    echo "\n<table width=\"90%\" cellpadding=\"4\" cellspacing=\"1\" border=\"0\">";
+    echo "\n<table width=\"90%\" cellpadding=\"4\" cellspacing=\"1\" border=\"0\" class=\"surveytable\">";
 
     $options = explode( ",", $question->options);
     $numoptions = count($options);
Index: moodle/tag/coursetags_edit.php
--- moodle/tag/coursetags_edit.php Base (1.15)
+++ moodle/tag/coursetags_edit.php Locally Modified (Based On 1.15)
@@ -75,7 +75,7 @@
 
     // Print personal tags for all courses
     $title = get_string('edittitle', $tagslang);
-    echo $OUTPUT->heading($title, 2, 'center');
+    echo $OUTPUT->heading($title, 2, 'mdl-align');
 
     $mytags = coursetag_print_cloud(coursetag_get_tags(0, $USER->id, 'default'), true);
     $outstr = '
@@ -99,7 +99,7 @@
     // Personal tag editing
     if ($canedit) {
         $title = get_string('editmytagsfor', $tagslang, '"'.$coursefullname.' ('.$courseshortname.')"');
-        echo $OUTPUT->heading($title);
+        echo $OUTPUT->heading($title, 2, 'main mdl-align');
 
         // Deletion here is open to the users own tags for this course only
         $selectoptions = '<option value="0">'.get_string('select', $tagslang).'</option>';
Index: moodle/tag/index.php
--- moodle/tag/index.php Base (1.53)
+++ moodle/tag/index.php Locally Modified (Based On 1.53)
@@ -69,7 +69,7 @@
 tag_print_management_box($tag);
 tag_print_description_box($tag);
 
-echo '<div style="text-align: center "><p><a href="#course">'.get_string('courses').
+echo '<div class="relatedpages"><p><a href="#course">'.get_string('courses').
  '</a> | <a href="#blog">'.get_string('relatedblogs', 'tag').
  '</a> | <a href="#user">'.get_string('users').'</a></p></div>';
 
Index: moodle/tag/manage.php
--- moodle/tag/manage.php Base (1.29)
+++ moodle/tag/manage.php Locally Modified (Based On 1.29)
@@ -137,8 +137,6 @@
         break;
 }
 
-echo '<br/>';
-
 if ($err_notice) {
     echo $OUTPUT->notification($err_notice, 'red');
 }
Index: moodle/theme/anomaly/layout/general.php
--- moodle/theme/anomaly/layout/general.php Base (1.2)
+++ moodle/theme/anomaly/layout/general.php Locally Modified (Based On 1.2)
@@ -13,7 +13,7 @@
 }
 
 if (!$properties->sidepost && !$properties->sidepre) {
-    $bodyclasses[] = 'noblocks';
+    $bodyclasses[] = 'content-only';
 }
 if (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar()) {
     $bodyclasses[] = 'hasnavbar';
@@ -30,8 +30,7 @@
 <body id="<?php echo $PAGE->pagetype ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
 <?php echo $OUTPUT->standard_top_of_body_html(); ?>
 <div id="page">
-
-    <div class="page-header">
+    <div id="page-header">
         <div class="rounded-corner top-left"></div>
         <div class="rounded-corner top-right"></div>
         <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
@@ -49,29 +48,27 @@
         </div>
         <?php } ?>
     </div>
-    <div class="page-middle">
-        <div class="column-container">
-            <div class="column-mask">
-                <div class="column-centre">
-                    <div class="column-wrap">
-                        <div class="column-pad">
-                            <div class="column-content">
+    <div id="page-content">
+        <div id="regions">
+            <div id="regions-mask">
+                <div id="region-main">
+                    <div id="region-main-mask">
+                        <div class="region-content">
                                 <!-- MAIN CONTENT START -->
                                 <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
                                 <!-- MAIN CONTENT END -->
                             </div>
                         </div>
                     </div>
-                </div>
-                <div class="column-left">
-                    <div class="column-content  block-region side-pre"><?php
+                <div id="region-pre">
+                    <div class="region-content side-pre"><?php
                         if ($properties->sidepre) {
                             echo $OUTPUT->blocks_for_region('side-pre');
                         } ?>
                     </div>
                 </div>
-                <div class="column-right">
-                    <div class="column-content block-region side-post"><?php
+                <div id="region-post">
+                    <div class="region-content side-post"><?php
                         if ($properties->sidepost) {
                             echo $OUTPUT->blocks_for_region('side-post');
                         } ?>
@@ -82,7 +79,7 @@
         </div>
     </div>
     <?php if (empty($PAGE->layout_options['nofooter'])) { ?>
-    <div class="page-footer">
+    <div id="page-footer">
         <p class="helplink">
             <?php echo page_doc_link(get_string('moodledocslink')) ?>
         </p>
Index: moodle/theme/base/config.php
--- moodle/theme/base/config.php Base (1.7)
+++ moodle/theme/base/config.php Locally Modified (Based On 1.7)
@@ -15,7 +15,6 @@
 // You should have received a copy of the GNU General Public License
 // along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 
-
 /**
  * Configuration for Moodle's standard theme.
  *
@@ -33,15 +32,21 @@
  * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
  */
 
+$THEME->name = 'base';
 
 $THEME->parents = array();
 
 $THEME->sheets = array(
-    'pagelayout',
-    'core',
+    'pagelayout',   /** Must come first: Page layout **/
+    'core',         /** Must come second: General styles **/
+    'admin',
     'blocks',
+    'calendar',
     'course',
-    'block_calendar_month',
+    'grade',
+    'message',
+    'question',
+    'user'
 );
 
 $THEME->editor_sheets = array();
@@ -151,4 +156,4 @@
 
 /** List of javascript files that need to included on each page */
 $THEME->javascripts = array();
-$THEME->javascripts_footer = array('navigation');
+$THEME->javascripts_footer = array();
Index: moodle/theme/base/layout/embedded.php
--- moodle/theme/base/layout/embedded.php Base (1.2)
+++ moodle/theme/base/layout/embedded.php Locally Modified (Based On 1.2)
@@ -5,7 +5,7 @@
     <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
     <?php echo $OUTPUT->standard_head_html() ?>
 </head>
-<body id="<?php echo $PAGE->pagetype ?>" class="<?php echo $PAGE->bodyclasses ?>">
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses ?>">
 <?php echo $OUTPUT->standard_top_of_body_html() ?>
 
 <div id="page">
Index: moodle/theme/base/layout/frontpage.php
--- moodle/theme/base/layout/frontpage.php Base (1.2)
+++ moodle/theme/base/layout/frontpage.php Locally Modified (Based On 1.2)
@@ -1,12 +1,16 @@
 <?php
 
-$regionsinfo = 'pagelayout';
-if ($PAGE->blocks->region_has_content('side-pre', $OUTPUT)) {
-    $regionsinfo .= '-pre';
+$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+
+$bodyclasses = array();
+if ($hassidepre && !$hassidepost) {
+    $bodyclasses[] = 'side-pre-only';
+} else if ($hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'content-only';
 }
-if ($PAGE->blocks->region_has_content('side-post', $OUTPUT)) {
-    $regionsinfo .= '-post';
-}
 
 echo $OUTPUT->doctype() ?>
 <html <?php echo $OUTPUT->htmlattributes() ?>>
@@ -16,12 +20,12 @@
     <meta name="description" content="<?php echo strip_tags(format_text($SITE->summary, FORMAT_HTML)) ?>" />
     <?php echo $OUTPUT->standard_head_html() ?>
 </head>
-<body id="<?php echo $PAGE->pagetype ?>" class="<?php echo $PAGE->bodyclasses ?>">
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
 <?php echo $OUTPUT->standard_top_of_body_html() ?>
 
-<div id="page" class="<?php echo $regionsinfo ?>">
+<div id="page">
 
-    <div id="header-home" class="clearfix">
+    <div id="page-header" class="clearfix">
         <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
         <div class="headermenu"><?php
             echo $OUTPUT->login_info();
@@ -31,30 +35,36 @@
     </div>
 <!-- END OF HEADER -->
 
-    <div class="regions-outer clearfix">
+    <div id="page-content">
         <div id="regions">
-            <div class="regions-inner">
-                <div class="contentwrap">
-                    <div id="content">
+            <div id="regions-mask">
+                <div id="region-main">
+                    <div id="region-main-mask">
+                        <div class="region-content">
                         <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
                     </div>
                 </div>
-                <?php if ($PAGE->blocks->region_has_content('side-pre', $OUTPUT)) { ?>
-                <div id="region-side-pre" class="block-region">
+                </div>
+                <?php if ($hassidepre) { ?>
+                <div id="region-pre">
+                    <div class="region-content">
                     <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                 </div>
+                </div>
                 <?php } ?>
-                <?php if ($PAGE->blocks->region_has_content('side-post', $OUTPUT)) { ?>
-                <div id="region-side-post" class="block-region">
+                <?php if ($hassidepost) { ?>
+                <div id="region-post">
+                    <div class="region-content">
                     <?php echo $OUTPUT->blocks_for_region('side-post') ?>
                 </div>
+                </div>
                 <?php } ?>
             </div>
         </div>
     </div>
 
 <!-- START OF FOOTER -->
-    <div id="footer" class="clearfix">
+    <div id="page-footer">
         <p class="helplink">
         <?php echo page_doc_link(get_string('moodledocslink')) ?>
         </p>
Index: moodle/theme/base/layout/general.php
--- moodle/theme/base/layout/general.php Base (1.3)
+++ moodle/theme/base/layout/general.php Locally Modified (Based On 1.3)
@@ -1,12 +1,19 @@
 <?php
 
-$regionsinfo = 'pagelayout';
-if ($PAGE->blocks->region_has_content('side-pre', $OUTPUT)) {
-    $regionsinfo .= '-pre';
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+
+$bodyclasses = array();
+if ($hassidepre && !$hassidepost) {
+    $bodyclasses[] = 'side-pre-only';
+} else if ($hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'content-only';
 }
-if ($PAGE->blocks->region_has_content('side-post', $OUTPUT)) {
-    $regionsinfo .= '-post';
-}
 
 echo $OUTPUT->doctype() ?>
 <html <?php echo $OUTPUT->htmlattributes() ?>>
@@ -15,13 +22,13 @@
     <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
     <?php echo $OUTPUT->standard_head_html() ?>
 </head>
-<body id="<?php echo $PAGE->pagetype ?>" class="<?php echo $PAGE->bodyclasses ?>">
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
 <?php echo $OUTPUT->standard_top_of_body_html() ?>
 
-<div id="page"  class="<?php echo $regionsinfo ?>">
-
-<?php if ($PAGE->heading) { ?>
-    <div id="header" class="clearfix">
+<div id="page">
+<?php if ($hasheading || $hasnavbar) { ?>
+    <div id="page-header">
+        <?php if ($hasheading) { ?>
         <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
         <div class="headermenu"><?php
             echo $OUTPUT->login_info();
@@ -29,47 +36,48 @@
                 echo $OUTPUT->lang_menu();
             }
             echo $PAGE->headingmenu
-         ?></div>
-    </div>
-<?php } ?>
-
-<?php if (empty($PAGE->layout_options['nonavbar']) and $PAGE->has_navbar()) { // This is the navigation bar with breadcrumbs  ?>
+        ?></div><?php } ?>
+        <?php if ($hasnavbar) { ?>
     <div class="navbar clearfix">
         <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
-        <div class="navbutton"><?php echo $PAGE->button; ?></div>
+                <div class="navbutton"> <?php echo $PAGE->button; ?></div>
     </div>
 <?php } ?>
+    </div>
+<?php } ?>
 <!-- END OF HEADER -->
-
-    <div class="regions-outer clearfix">
+    <div id="page-content">
         <div id="regions">
-            <div class="regions-inner">
-                <div class="contentwrap">
-                    <div id="content">
+            <div id="regions-mask">
+                <div id="region-main">
+                    <div id="region-main-mask">
+                        <div class="region-content">
                         <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
                     </div>
                 </div>
-                <?php if ($PAGE->blocks->region_has_content('side-pre', $OUTPUT)) { ?>
-                <div id="region-side-pre" class="block-region">
+                </div>
+                <?php if ($hassidepre) { ?>
+                <div id="region-pre">
+                    <div class="region-content">
                     <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                 </div>
+                </div>
                 <?php } ?>
-                <?php if ($PAGE->blocks->region_has_content('side-post', $OUTPUT)) { ?>
-                <div id="region-side-post" class="block-region">
+                <?php if ($hassidepost) { ?>
+                <div id="region-post">
+                    <div class="region-content">
                     <?php echo $OUTPUT->blocks_for_region('side-post') ?>
                 </div>
+                </div>
                 <?php } ?>
             </div>
         </div>
     </div>
 
 <!-- START OF FOOTER -->
-    <?php if (empty($PAGE->layout_options['nofooter'])) { ?>
-    <div id="footer" class="clearfix">
-        <p class="helplink">
-        <?php echo page_doc_link(get_string('moodledocslink')) ?>
-        </p>
-
+    <?php if ($hasfooter) { ?>
+    <div id="page-footer" class="clearfix">
+        <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
         <?php
         echo $OUTPUT->login_info();
         echo $OUTPUT->home_link();
Index: moodle/theme/standard/config.php
--- moodle/theme/standard/config.php No Base Revision
+++ moodle/theme/standard/config.php Locally New
@@ -0,0 +1,19 @@
+<?php
+
+$THEME->name = 'standard';
+$THEME->parents = array('base');
+$THEME->sheets = array(
+    'core',     /** Must come first**/
+    'admin',
+    'blocks',
+    'calendar',
+    'course',
+    'dock',
+    'grade',
+    'message',
+    'modules',
+    'question',
+    'css3'      /** Sets up CSS 3 + browser specific styles **/
+);
+$THEME->enable_dock = true;
+$THEME->javascripts_footer = array('navigation');
Index: moodle/theme/standard/javascript/navigation.js
--- moodle/theme/standard/javascript/navigation.js No Base Revision
+++ moodle/theme/standard/javascript/navigation.js Locally New
@@ -0,0 +1,43 @@
+
+function customise_dock_for_theme() {
+    if (!M.core_dock) {
+        return false;
+    }
+    // Throw a lightbox for the navigation boxes
+    M.core_dock.cfg.panel.modal = true;
+    M.core_dock.genericblock.prototype.fix_title_orientation = function(node) {
+        if (YAHOO.env.ua.ie > 0) {
+            if (YAHOO.env.ua.ie > 7) {
+                // IE8 can flip the text via CSS
+                node.setAttribute('style', 'writing-mode: tb-rl; filter: flipV flipH;');
+            } else {
+                // IE < 7 can't do anything cool, just settle to stacked letters
+                node.innerHTML = node.innerHTML.replace(/(.)/g, "$1<br />");
+            }
+            return node;
+        }
+        // Cool, we can use SVG!
+        var test = M.core_dock.Y.Node.create('<div><span>'+node.firstChild.nodeValue+'</span></div>');
+        M.core_dock.Y.one(document.body).append(test);
+        var height = test.one('span').get('offsetWidth');
+        test.remove();
+
+        var txt = document.createElementNS('http://www.w3.org/2000/svg', 'text');
+        txt.setAttribute('x', '0');
+        txt.setAttribute('y', '0');
+        txt.setAttribute('transform','rotate(90, 5, 5)');
+        txt.appendChild(document.createTextNode(node.firstChild.nodeValue));
+
+        var svg = document.createElementNS('http://www.w3.org/2000/svg', 'svg');
+        svg.setAttribute('version', '1.1');
+        svg.setAttribute('height', height);
+        svg.setAttribute('width', 30);
+        svg.appendChild(txt);
+
+        var div = document.createElement(node.nodeName);
+        div.appendChild(svg);
+
+        return div;
+    }
+    return true;
+}
Index: moodle/user/view.php
--- moodle/user/view.php Base (1.231)
+++ moodle/user/view.php Locally Modified (Based On 1.231)
@@ -233,7 +233,7 @@
     }
 }
 
-echo '<table width="80%" class="userinfobox" summary="">';
+echo '<table class="userinfobox" summary="">';
 echo '<tr>';
 echo '<td class="side">';
 echo $OUTPUT->user_picture($user, array('courseid'=>$course->id, 'size'=>100));
Index: moodle/version.php
--- moodle/version.php Base (1.1487)
+++ moodle/version.php Locally Modified (Based On 1.1487)
@@ -6,7 +6,7 @@
 // This is compared against the values stored in the database to determine
 // whether upgrades should be performed (see lib/db/*.php)
 
-    $version = 2010031900;  // YYYYMMDD   = date of the last version bump
+    $version = 2010032400;  // YYYYMMDD   = date of the last version bump
                             //         XX = daily increments
 
     $release = '2.0 dev (Build: 20100324)';  // Human-friendly version name
